/**
 * User layer exception for high-level read/write access in calimero.
 *  
 * Published under Quick'n'Dirty Licence ;)
 * So please don't use it in production code...
 * 
 * 2006 B.Malinowsky
 */

package tuwien.auto.eicl.util;

/**
 * A read timeout has occured on user layer.
 * Indicates that no answer to an application layer read request
 * was received.
 */
public class EICLReadTimeoutException extends EICLException
{

    private static final long serialVersionUID = 1;
	
	/**
	 * @param _Message
	 */
	public EICLReadTimeoutException(String _Message)
	{
		super(_Message);
	}

}
