package tuwien.auto.obix.mappinglogic;

import tuwien.auto.obix.objects.*;

public interface IMappingLogic
{
	public IDPT readGroupAddress(IGroupAddress ga, String dpt) throws Exception;
	
	public void writeGroupAddress(IGroupAddress ga, IDPT dp) throws Exception;
	
	public void initCache(IGroupAddress ga, int level);
	
	public CacheEntry[] readCache(IGroupAddress ga, String dpt) throws Exception;
	
	public int numberOfFreeEntries(IGroupAddress ga);
	
	public void registerEventListener(IMLEventListener el);
}
