package tuwien.auto.obix.objects;

import obix.*;

public class DPT_B1 extends Bool implements IDPT_B1
{
	public DPT_B1()
	{
		super();
		setFacets();
	}
	
	public DPT_B1(String name, boolean val) 
	{
		super(name, val); 
		setFacets();
	}                 

	public DPT_B1(String name) 
	{ 
		super(name); 
		setFacets();
	}                 
	    
	public DPT_B1(boolean val) 
	{ 
		super(val);
		setFacets();
	}
	

	// set facets
	private void setFacets()
	{
		setIs(new Contract("/obix/def/DPT_B1/"));
	}
}
