package tuwien.auto.obix.objects;

import obix.*;

public class DPT_Switch extends DPT_B1 implements IDPT_Switch
{
	public DPT_Switch()
	{
		super();
		setIs(new Contract("knx:DPT knx:DPT_B1"));
		setRange(new Uri("knx:range/onOff"));
	}
	
	public DPT_Switch(String name, boolean val) 
	{
		super(name, val); 
		setIs(new Contract("knx:DPT knx:DPT_B1"));
		setRange(new Uri("knx:range/onOff"));
	}                 

	public DPT_Switch(String name) 
	{ 
		super(name); 
		setIs(new Contract("knx:DPT knx:DPT_B1"));
		setRange(new Uri("knx:range/onOff"));
	}                 
	    
	public DPT_Switch(boolean val) 
	{ 
		super(val);
		setIs(new Contract("knx:DPT knx:DPT_B1"));
		setRange(new Uri("knx:range/onOff"));
	}
}
