package tuwien.auto.obix.objects;

import obix.*;

public class DPT_Scaling extends DPT_U8 implements IDPT_Switch
{
	public DPT_Scaling()
	{
		super();
		setFacets();
	}
	
	public DPT_Scaling(String name, long val) 
	{
		super(name, val); 
		setFacets();
	}                 

	public DPT_Scaling(String name) 
	{ 
		super(name); 
		setFacets();
	}                 
	    
	public DPT_Scaling(long val) 
	{ 
		super(val);
		setFacets();
	}
	
	// set facets
	private void setFacets()
	{
		setIs(new Contract("knx:DPT knx:DPT_U8"));
		setMax(100);
		setUnit(new Uri("knx:units/scale"));
	}
}
