package tuwien.auto.obix.objects;

import obix.*;

public class DPT_U8 extends Int implements IDPT_U8
{
	public DPT_U8()
	{
		super();
		setFacets();
	}
	
	public DPT_U8(String name, long val) 
	{
		super(name, val); 
		setFacets();
	}                 

	public DPT_U8(String name) 
	{ 
		super(name); 
		setFacets();
	}                 
	    
	public DPT_U8(long val) 
	{ 
		super(val);
		setFacets();
	}
	
	// set facets
	private void setFacets()
	{
		setIs(new Contract("/obix/def/DPT_U8/"));
	}
}
