package tuwien.auto.obix.objects;

import obix.*;

public class GCE_command extends GCE implements IGCE_command
{
	// properties
	private Op _transmit;
	
	// kids
	public Op transmit()
	{
		return _transmit;
	}
	
	// setter/adder for kids
	public void setTransmitDPT(String dpt)
	{
		remove(_transmit);
		// _transmit.setIn(new Contract("knx:" + dpt));
		_transmit.setIn(new Contract(dpt));
		add(_transmit);
	}
	
	// constructors
	public GCE_command(String name)
	{
		super(name);
		_transmit = new Transmit("transmit");
		
		setFacets();
	}
		
	public GCE_command()
	{
		super();
		_transmit = new Transmit("transmit");
		
		setFacets();
	}
	
	// set facets
	private void setFacets()
	{
		setIs(new Contract("knx:GCE knx:GCE_command"));
		add(_transmit);
	}
}
