package tuwien.auto.obix.objects;

import obix.*;

public class GCE_eventfeed extends GCE implements IGCE_eventfeed
{
	// properties
	private Feed _feed;
	
	// kids
	public Feed eventfeed()
	{
		return _feed;
	}

	// setter/adder for kids
	public void addValue(Obj value)
	{
		remove(_feed);
		_feed.add(value);
		add(_feed);
	}

	// constructors
	public GCE_eventfeed(String name)
	{
		super(name);
		_feed = new Feed("eventfeed");
		
		setFacets();
	}
		
	public GCE_eventfeed()
	{
		super();
		_feed = new Feed("eventfeed");
		
		setFacets();
	}
	
	// set facets
	private void setFacets()
	{
		setIs(new Contract("knx:GCE knx:GCE_eventfeed"));
		_feed.setOf(new Contract("knx:DPT"));
		_feed.setHref(new Uri("feed/"));
		add(_feed);
	}
}
