package tuwien.auto.obix.objects;

import obix.*;

/**
 * FunctionalEntity
 *
 * @author    obix.tools.Obixc
 * @creation  12 Sep 06
 * @version   $Revision$ $Date$
 */
public interface IFunctionalEntity  extends IObj
{

  public static final String descriptionContract = "<str name='description' val='default'/>";
  public Str description();

  public static final String functionsContract = "<list name='functions' of='knx:GCE'/>";
  public List functions();

  public static final String subFunctionalEntitiesContract = "<list name='subFunctionalEntities' of='knx:FunctionalEntity'/>";
  public List subFunctionalEntities();

}
