package tuwien.auto.obix.objects;

import obix.*;

/**
 * GroupAddress
 *
 * @author    obix.tools.Obixc
 * @creation  26 Sep 06
 * @version   $Revision$ $Date$
 */
public interface IGroupAddress
  extends IObj
{

  public Int rawValue();

  public static final String getMainSubContract = "<op name='getMainSub' in='obix:Nil' out='knx:MainSubGA'/>";
  public Op getMainSub();

  public static final String getMainMiddleSubContract = "<op name='getMainMiddleSub' in='obix:Nil' out='knx:MainMiddleSubGA'/>";
  public Op getMainMiddleSub();

}
