/*
 * Copyright (C) 2005 Bernhard Erb

 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.

 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.

 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
package tuwien.auto.eicl.util;

/**
 * The EICLException is used by the whole Calimero project. All Exception are
 * converted in this type. Therefore this class represents a single point of
 * failure to the api.
 * 
 * @author bernhard
 */

public class EICLException extends Exception {

    private static final long serialVersionUID = 1;

    /**
     * Throw a message with this error string
     * 
     * @param _Message
     *            The error string
     */
    public EICLException(String _Message) {
        super(_Message);
    }
}
